Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Eigenschaftsbeschreibung bei Parametern in dynamischen Blöcken

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Eigenschaftsbeschreibung bei Parametern in dynamischen Blöcken (699 mal gelesen)
sidibu
Mitglied



Sehen Sie sich das Profil von sidibu an!   Senden Sie eine Private Message an sidibu  Schreiben Sie einen Gästebucheintrag für sidibu

Beiträge: 21
Registriert: 21.11.2007

Autocad 2012 und Mechanical 2012, Windows 7
Inventor 2012

erstellt am: 22. Jan. 2015 13:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Parameter.jpg

 
Hallo zusammen,
gibt es eine Möglichkeit in einem dynamischen Block die Parameterbeschreibungen mittels LISP oder VL zu ändern. Ich habe ein Bild angehängt um es etwas zu verdeutlichen.
Wenn das geht, müsste ich wissen wie. Vielleicht gibt es jemanden der sich damit schon beschäftigt hat.

Vielen Dank im voraus.

------------------
mit freundlichen Grüßen
Dirk

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 22. Jan. 2015 13:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für sidibu 10 Unities + Antwort hilfreich

Ich verweise mal auf einen Thread der sich mit dynamischen Blöcken befasst, damit solltest du weiter kommen.
http://forum.cad.de/foren/ubb/Forum145/HTML/003981.shtml#000000
auch wenn es um andere Parameter geht.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1162
Registriert: 11.01.2006

WIN 10
ACAD 2017

erstellt am: 22. Jan. 2015 14:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für sidibu 10 Unities + Antwort hilfreich

Hallo Dirk,

hiermit bekommst du alle Elementnamen aller Parameter einer Blockdefinition in einer Liste.
Mit entget bekommst du ja die Daten.

Allerdings wehrt sich ACAD gegen ein entmod bei diesen Elementen, aber vielleicht hilfts ja irgendwie weiter

Code:
(mapcar
  'cdr
  (vl-remove-if-not
    '(lambda (data) (= (car data) 360))
    (dictsearch
      (vlax-vla-object->ename
(vla-getextensiondictionary
  (vla-item (vla-get-blocks
      (vla-get-activedocument (vlax-get-acad-object))
    )
    blockname
  )
)
      )
      "ACAD_ENHANCEDBLOCK"
    )
  )
)

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz